-- 英雄助阵
checkRequire("Lua_InfinityHallSupportPanel");
checkRequire("Lua_InfinityHallMySupportPanel");
Lua_InfinityHallSupportWindow = class("Lua_InfinityHallSupportWindow", Lua_Window);
function Lua_InfinityHallSupportWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_InfinityHallSupportWindow";
	self.skinName = "InfinityHallSupportWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_InfinityHallSupportWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.btnInfo = Array();
	self.btnInfo:add({ textStr = LanUtil.getValue(304025), panel = Lua_InfinityHallSupportPanel });
	self.btnInfo:add({ textStr = LanUtil.getValue(304026), panel = Lua_InfinityHallMySupportPanel, redPointId = Lua_RedPointList.InfinityHall_Support });

	self.buttonList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
	self.buttonList:setLocation(0, -436, 0);
	self.buttonList:setButtonStyle("common_altas_1", "ui_common_tab_02", "ui_common_tab_02", 344, 71, 0.01, 1);
	self.buttonList:setButtonText(1, 6, "5C504B", "8B5E34", 30, 30, Lua_MyUISettings.huakangFontName, UnityEngine.FontStyle.Normal);
	self.buttonList:setButtonLine("common_altas_1", "ui_common_line_013", 0, 0, 0, -6);
	self.buttonList:setRedPoint(145, 22.5);
	self.buttonList:setButtonItem(324, 71);
	self.buttonList:setClickCallBack(self, self.onButtonClick);
	self.buttonList:setData(self.btnInfo);
	self.buttonList:setSelected(1);
end

function Lua_InfinityHallSupportWindow:dispose()
	if self.showPanel ~= nil then
		self.showPanel:dispose();
		self.showPanel = nil;
	end
	if self.buttonList ~= nil then
		self.buttonList:dispose();
		self.buttonList = nil;
	end
	if self.btnInfo ~= nil then
		self.btnInfo:clear();
		self.btnInfo = nil;
	end
	self:superCall("dispose");
end

function Lua_InfinityHallSupportWindow:onButtonClick(index)
	if self.showPanel ~= nil then
		self.showPanel:dispose();
		self.showPanel = nil;
	end
	self.showPanel = self.btnInfo[index].panel.new(self.content);
end